//coreb

#include <services\services.h>				// system services
#include <drivers\adi_dev.h>				// device manager includes
#include <drivers\ppi\adi_ppi.h>				// PPI driver includes

#include "..\..\..\..\utilities\ezkitutilities.h"	// EZ-Kit utilities

/*********************************************************************

	Function:		ExceptionHandler
					HWErrorHandler

	Description:	We should never get an exception or hardware error, 
					but just in case we'll catch them and simply turn 
					on all the LEDS should one ever occur.

*********************************************************************/

static ADI_INT_HANDLER(ExceptionHandler)	// exception handler
{
		ezErrorCheck(1);
		return(ADI_INT_RESULT_PROCESSED);
}
		
	
static ADI_INT_HANDLER(HWErrorHandler)		// hardware error handler
{
		ezErrorCheck(1);
		return(ADI_INT_RESULT_PROCESSED);
}
/*********************************************************************
Function: sys_init


Description:This function calls the EZ-Kit utility functions to 
			initialize the asynchronous and flash memories on
			the board, then makes sure all LEDs are off.  The 
			Interrupt Manager is then initialized and the 
			exception and hardware error events are hooked.  If
			deferred callbacks are enabled by the macro at the
			top of the file, the Deferred Callback Manager is 
			then initialized with one service, running at IVG 14,
			being created.  The DMA Manager and then the Device
			Manager are then initialized.
***********************************************************************/
void main(void) 
{
	/* avoid breakpoint */
	asm("NOP;");	

	while(1) 
	{
		asm("IDLE;");
	}
}
